<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.lanyuanxiaoyao</groupId>
    <artifactId>hudi-service</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <modules>
        <module>service-configuration</module>
        <module>service-gateway</module>
        <module>service-queue</module>
        <module>service-hudi-query</module>
        <module>service-info-query</module>
        <module>service-pulsar-query</module>
        <module>service-yarn-query</module>
        <module>service-flink-query</module>
        <module>service-web</module>
        <module>service-forest</module>
        <module>service-zookeeper-query</module>
        <module>service-dependencies</module>
        <module>service-cli</module>
        <module>service-loki-query</module>
        <module>service-uploader</module>
        <module>service-executor</module>
        <module>service-cloud-query</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

        <build-tag>b1e11</build-tag>

        <spring-boot.version>2.6.8</spring-boot.version>
        <spring-cloud.version>2021.0.3</spring-cloud.version>
        <flink.major.version>1.13</flink.major.version>
        <scala.major.version>2.11</scala.major.version>
        <hudi.version>0.12.0-eshore-SNAPSHOT</hudi.version>
        <flink.version>1.13.3</flink.version>
        <hadoop.version>1.13.3</hadoop.version>
    </properties>

    <profiles>
        <profile>
            <id>b1e1</id>
            <properties>
                <build-tag>b1e1</build-tag>
            </properties>
        </profile>
        <profile>
            <id>b1e11</id>
            <properties>
                <build-tag>b1e11</build-tag>
            </properties>
        </profile>
        <profile>
            <id>b2e1</id>
            <properties>
                <build-tag>b2e1</build-tag>
            </properties>
        </profile>
        <profile>
            <id>b5s119</id>
            <properties>
                <build-tag>b5s119</build-tag>
            </properties>
        </profile>
        <profile>
            <id>b2s119</id>
            <properties>
                <build-tag>b2s119</build-tag>
            </properties>
        </profile>
        <profile>
            <id>b2b12</id>
            <properties>
                <build-tag>b2b12</build-tag>
            </properties>
        </profile>
    </profiles>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-source-plugin</artifactId>
                    <version>3.3.0</version>
                </plugin>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <version>${spring-boot.version}</version>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

    <distributionManagement>
        <repository>
            <id>${releases.id}</id>
            <name>${releases.name}</name>
            <url>${releases.url}</url>
        </repository>
        <snapshotRepository>
            <id>${snapshots.id}</id>
            <name>${snapshots.name}</name>
            <url>${snapshots.url}</url>
        </snapshotRepository>
    </distributionManagement>

</project>